Starmade | Nullpointer when removing filled cargo blocks
Closed, FinishedPublic

Description

Everytime I join the MP-Server I'm playing on, the game crashes 1 to 5 seconds after I'm connected. It dosen't matter if I spawn or not. If I spawn, I'm able to move but still after a few seconds the game freezes and then crashes.
Before the hotfix I builded a huge cargo area to save my stuff - ~7m Volume / ~5m filled - and everything was fine (just little graphic bugs with 'invisible' cargoboxes).
Then the server went down for the little update and now the game keeps crashing.
Other servers and singleplayer still work without crash.

I builded a similiar big cargo area in SP but that dosent crash the game. If you want me to test, I could
downgrade the game - build it again - patch again and see if it crashes. But since I would have to reinstall the game twice I would only test this if it really would help you to track down the problem.


from supplied log file:

[2015-12-07 20:17:42] [GLFRAME] THROWN: class java.lang.NullPointerException Now Printing StackTrace
[2015-12-07 20:17:42] java.lang.NullPointerException
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.cargo.CargoUnit.updateBlocks(SourceFile:81)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.cargo.CargoCollectionManager.update(SourceFile:115)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.ManagerModuleCollection.update(SourceFile:149)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.ManagerContainer.updateLocal(SourceFile:1721)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.StationaryManagerContainer.updateLocal(SourceFile:644)
[2015-12-07 20:17:42] 	at obfuscated.Qa.updateLocal(SourceFile:283)
[2015-12-07 20:17:42] 	at obfuscated.C.update(SourceFile:1178)
[2015-12-07 20:17:42] 	at obfuscated.atW.a(SourceFile:1176)
[2015-12-07 20:17:42] 	at obfuscated.atW.a(SourceFile:1167)
[2015-12-07 20:17:42] 	at obfuscated.C.h(SourceFile:2788)
[2015-12-07 20:17:42] 	at obfuscated.NY.run(SourceFile:92)
[2015-12-07 20:17:42] 	at java.lang.Thread.run(Unknown Source)

Details

Testing Results
Affected Gamemode(s)
Multiplayer
Reproducible
No
Last tested (version)
0.19616 (Dev)
Issue Type
Bug
Category
Engine
First occurrence (version)
0.19522
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Video Card Model
Geforce GTX 470
Steps to reproduce
  1. put a chest down, link it to a lot of cargo blocks (50x50x50)
  2. fill the chest with blocks
  3. rapidly remove large (10x10x10) sections of those cargo blocks till you get a nullpointer.
Tester information (Internal use only)

log.txt.0

Different stacktrace but same way to reproduce. I rapidly removed (large sections of) linked cargo blocks of a chest that had them in use.

[2016-01-14 23:17:31] java.lang.NullPointerException
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.cargo.CargoCollectionManager.remove(CargoCollectionManager.java:88)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.ElementCollectionManager.remove(ElementCollectionManager.java:309)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.UsableControllableElementManager.removeConnectionIfNecessary(UsableControllableElementManager.java:438)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.ManagerModuleCollection.onConnectionRemoved(ManagerModuleCollection.java:56)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.ManagerContainer.onConnectionRemoved(ManagerContainer.java:1201)
[2016-01-14 23:17:31] 	at org.schema.game.common.data.element.ControlElementMap.onRemovedConnectionForManagerContainer(ControlElementMap.java:305)
[2016-01-14 23:17:31] 	at org.schema.game.common.data.element.ControlElementMap.removeControlled(ControlElementMap.java:898)
[2016-01-14 23:17:31] 	at org.schema.game.common.data.element.ControlElementMap.updateLocal(ControlElementMap.java:1173)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.SendableSegmentController.handleActivationsAndControlMap(SendableSegmentController.java:1428)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.SendableSegmentController.updateLocal(SendableSegmentController.java:538)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.EditableSendableSegmentController.updateLocal(EditableSendableSegmentController.java:1107)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.SpaceStation.updateLocal(SpaceStation.java:279)
[2016-01-14 23:17:31] 	at org.schema.game.client.controller.GameClientController.update(GameClientController.java:1218)
[2016-01-14 23:17:31] 	at org.schema.schine.graphicsengine.core.GLFrame.update(GLFrame.java:1176)
[2016-01-14 23:17:31] 	at org.schema.schine.graphicsengine.core.GLFrame.start(GLFrame.java:1044)
[2016-01-14 23:17:31] 	at org.schema.schine.graphicsengine.core.GLFrame.startGraphics(GLFrame.java:1167)
[2016-01-14 23:17:31] 	at org.schema.game.client.controller.GameClientController.startGraphics(GameClientController.java:2856)
[2016-01-14 23:17:31] 	at org.schema.game.common.ClientRunnable.run(ClientRunnable.java:92)
[2016-01-14 23:17:31] 	at java.lang.Thread.run(Unknown Source)
Detected video (Graphicsinfo.txt)

Running on thread: ClientThread
Adapter: nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx
Driver Version: 10.18.13.5362
Vendor: NVIDIA Corporation
OpenGL Version: 4.5.0 NVIDIA 353.62
Renderer: GeForce GTX 470/PCIe/SSE2
GLSL Ver: 4.50 NVIDIA

SMC-Report

Starmade System Checker Report
07.12.2015
18:54:54,93

RESULTS:
Windows version: Windows ....UNKNOWN
Processor: AMD Phenom(tm) II X6 1090T Processor (6 CPUs), ~3.2GHz
Memory: 10240MB RAM
Graphics Card name: NVIDIA GeForce GTX 470 ....UNKNOWN
Java version: 64-bit Java 8 ....PASS

It's Windows 10 Pro N 64bit...

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
 <C_USE_NEW_PLAYER_MODEL_ = true
CONTROL_HELP = false
C_MOUSE_BUTTOM_SWITCH = false
G_RESOLUTION = 1920 x 1080
G_FULLSCREEN = true
G_VSYNCH = false
G_FOV = 85.0
G_MAX_SEGEMENTSDRAWN = 12000
G_DRAW_SURROUNDING_GALAXIES_IN_MAP = false
HIT_INDICATION_NUMBERS_LIFETIME = 0.4
D_LIFETIME_NORM = 30
G_WINDOWED_BORDERLESS = false
S_SOUND_SYSTEM_ENABLED = true
S_SOUND_ENABLED = true
S_SOUND_VOLUME_GLOBAL = 4
N_TRANSMIT_RAW_DEBUG_POSITIONS = false
C_SELECTED_JOYSTICK = -1
ICON_BAKERY_BLOCKSTYLE_ROTATE_DEG = -90.0
MOUSE_WHEEL_SENSIBILITY = 7.0E-4
BUILD_MODE_SHIFT_SPEED = 25.0
ORBITAL_CAM_SPEED = 0.5
G_DAMAGE_DISPLAY = 600
G_STAR_COUNT = 4096
G_VBO_BULKMODE_SIZE = 4
G_DRAW_FOG = false
G_DRAW_BEAMS = true
G_DRAW_EXHAUST_PLUMS = true
D_INFO_CONTROLMANAGER = false
D_INFO_SHADER = true
T_ENABLE_TEXTURE_BAKER = false
D_INFO_DRAW_TIMES = false
D_INFO_DRAW_SPACE_PARTICLE = false
G_SPACE_PARTICLE = true
G_DRAW_MOUSE_COLLISION = false
G_ATMOSPHERE_SHADER = normal
G_SHADOW_QUALITY = SIMPLE
G_DRAW_SHIELDS = true
G_DRAW_WATER = true
G_DRAW_BACKGOUND = true
G_WATER_USER_MIPMAPS = false
E_NAVIGATION_FILTER = 1005
G_DRAW_ENTITIES = true
G_FRUSTUM_CULLTING = true
G_DRAW_EFFECTS = true
G_SHADER_RELOAD = false
G_FRAMRATE_FIXED = 60
G_SHADERS_ACTIVE = true
G_DEBUG_DRAW_GRID = false
G_DEBUG_DRAW_LINES = true
F_FRAME_BUFFER_USE = false
T_TERRAIN_DRAW = true
T_TERRAIN_WIREFRAME_DRAW = false
G_CULLING_ACTIVE = true
G_TEXTURE_ARRAYS = false
G_AUTO_NORMALIZATION = true
G_DRAW_BY_SIDES = true
G_WIREFRAMED = false
G_NORMAL_MAPPING = true
G_TEXTURE_COMPRESSION_BLOCKS = false
G_TEXTURE_ARRAY_COMPRESSION = true
G_TEXTURE_ARRAY_MIPMAP = true
G_TEXTURE_MIPMAP = true
G_SHADOWS = false
G_SHADOWS_VSM = false
S_PAUSED = false
S_SETTINGS_SHOW = false
MINIMAP_MODE = SMALL
SECTOR_INDICATION_MODE = INDICATION_ONLY
S_KEY_ALLOW_DUPLICATES = true
G_PROD_BG = true
G_PROD_BG_QUALITY = 1024
G_TEXTURE_PACK = Default
GIF_WIDTH = 640
GIF_HEIGHT = 640
GIF_FPS = 15
GIF_GUI = false
G_DEBRIS_THRESHOLD_MS = 4
G_TEXTURE_PACK_RESOLUTION = 128
S_INITIAL_SETTING = Multi Player
S_GAME_MODE = Sandbox
G_BONE_ANIMATION = true
P_NT_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_ACTIVE_OCCLUSION = false
P_PHYSICS_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_MODE = 0
G_DEUBG_LINE_DRAWING_ACTIVATED = false
G_WINDOW_START_POSITION = center
G_DRAW_GUI_ACTIVE = true
G_DRAW_NO_OVERLAYS = false
G_PARTICLE_SORTING = true
P_PHYSICS_ACTIVATED = true
G_SMOKE_QUALITY = false
G_DRAW_STARS = true
G_DRAW_PASTE_PREVIEW = true
G_USE_SPRITE_VBO = true
S_TUTORIAL = false
G_AUTOSELECT_CONTROLLERS = true
S_INFO_DRAW = FPS_AND_PING
G_VBO_FLAG = STATIC
N_LAG_COMPENSATION = true
N_IGNORE_SAVED_UPLINK_CREDENTIALS_IN_SINGLEPLAYER = true
N_SERVER_TIME_UPDATE_FREQUENCE = 2000
M_TEXTURE_PACK_CONFIG_TOOL = ./data/textures/block/Default/64/
G_MULTI_SAMPLE = 2
G_MIPMAP_LEVEL_MAX = 3
M_MOUSE_SENSITIVITY = 0.5
G_HIT_INDICATION_SIZE = 1.0
F_BLOOM = false
F_BLOOM_INTENSITY = 0.4
S_MOUSE_LOCK = true
G_DRAW_ADV_BUILDMODE_BLOCK_PREVIEW = true
G_DRAW_ALL_CONNECTIONS = false
G_SHOW_PURE_NUMBERS_FOR_SHIELD_AND_POWER = false
S_FLIP_HOTBAR_MOUSEWHEEL_WITHOUT_CTRL = true
S_ZOOM_MOUSEWHEEL = SLOTS
S_MOUSE_SHIP_INVERT = false
S_MOUSE_ALL_INVERT = false
S_USE_REGION_SIGNATURE_TEST = false
G_PREVIEW_TO_BUILD_BLOCK_TEST = false
S_EXIT_ON_ESC = false
G_USE_HIGH_QUALITY_ACKGROUND = false
G_DRAW_POPUPS = true
G_USE_VBO_MAP = false
G_DRAW_JUMP_OVERLAY = true
G_MAG_FILTER_LINEAR_BLOCKS = false
G_MAG_FILTER_LINEAR_GUI = false
G_MAX_BEAMS = 1024
SEGMENT_REQUEST_BATCH = 32
CLIENT_BUFFER_SIZE = 65536
ICON_BAKERY_SINGLE_RESOLUTION = 150
G_RAYTRACE_COUNT = 48
ICON_BAKERY_SINGLE_ICONS = false
G_MUST_CONFIRM_DETACHEMENT_AT_SPEED = 50.0
G_USE_SHADER4 = true
O_OCULUS_RENDERING = false
G_USE_VERTEX_LIGHTING_ONLY = false
CLIENT_TRAFFIC_CLASS = true
G_DRAW_SELECTED_BLOCK_WOBBLE = true
G_USE_TWO_COMPENENT_SHADER = false
A_FORCE_AUTHENTICATION_METHOD = -1
MIN_FFA = 2
B_UNDO_REDO_MAX = 30
N_ARTIFICIAL_DELAY = 0
SEGMENT_PIECE_QUEUE_SINGLEPLAYER = 32767
G_MAX_MISSILE_TRAILS = 128
G_USE_OCCLUSION_CULLING = false
C_AUTOASSIGN_WEAPON_SLOTS = true
G_DRAW_NT_STATS_OVERLAY = false
CLIENT_CUSTOM_TEXTURE_PATH = ./customBlockTextures
SECRET = none
USE_OPEN_AL_SOUND = true
LIMIT_FPS_UNFOCUS = true
GUI_USE_DISPLAY_LISTS = false
USE_GL_MULTI_DRAWARRAYS = true
USE_GL_MULTI_DRAWARRAYS_INITIAL_SET = true
CHAT_CLOSE_ON_ENTER = true
A_FORCE_LOCAL_SAVE_ENABLED_IN_SINGLE_PLAYER = false
G_SHIP_INFO_ZOOM = 0
G_SINGLEPLAYER_CREATIVE_MODE = false
G_DRAW_LAG_OBJECTS_IN_HUD = false
G_SHOW_SYMMETRY_PLANES = true
LANGUAGE_PACK = english
>
Java Version (64bit)

java version "1.8.0_65"
Java(TM) SE Runtime Environment (build 1.8.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 25.65-b01, mixed mode)

Urza created this task.Dec 7 2015, 6:23 PM
Urza set First occurrence (version) to 0.19522.
Urza changed Reproducible from uncertain to Yes.
Urza set Last tested (version) to 0.19522.
Urza changed Video Card Vendor from uncertain to NVIDIA.
Urza set Video Card Model to Geforce GTX 470.
Urza edited Detected video (Graphicsinfo.txt). (Show Details)
Urza edited SMC-Report. (Show Details)
Urza edited Serverconfig (server.cfg). (Show Details)
Urza edited Clientconfig (settings.cfg). (Show Details)
Urza edited Java Version (64bit). (Show Details)
Urza added a subscriber: Urza.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptDec 7 2015, 6:23 PM
SmilingDemon triaged this task as "High" priority.
SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.
SmilingDemon set Issue Type to Bug.
SmilingDemon set Category to Engine.
SmilingDemon set Affected Gamemode(s) to Multiplayer.
SmilingDemon changed Reproducible from Yes to No.
SmilingDemon removed Last tested (version).
SmilingDemon set OS-Specific to No.
SmilingDemon set Hardware-Specific to No.
Restricted Application added a subscriber: AndyP. · View Herald TranscriptDec 7 2015, 6:42 PM

Please add the log.txt.0 log file of one of those crashes here.

Urza added a comment.Dec 7 2015, 7:09 PM
This comment was removed by Urza.
Urza added a comment.Dec 7 2015, 7:12 PM
This comment was removed by Urza.
Urza added a comment.Dec 7 2015, 7:37 PM

Sorry for the 2 deleted comments (i tried copy paste the .txt like the client config but the long txt freezed my browser...)
log.txt.0

just draging and dropping what ever file in here is fine usually

its this:

[2015-12-07 20:17:42] [GLFRAME] THROWN: class java.lang.NullPointerException Now Printing StackTrace
[2015-12-07 20:17:42] java.lang.NullPointerException
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.cargo.CargoUnit.updateBlocks(SourceFile:81)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.cargo.CargoCollectionManager.update(SourceFile:115)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.ManagerModuleCollection.update(SourceFile:149)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.ManagerContainer.updateLocal(SourceFile:1721)
[2015-12-07 20:17:42] 	at org.schema.game.common.controller.elements.StationaryManagerContainer.updateLocal(SourceFile:644)
[2015-12-07 20:17:42] 	at obfuscated.Qa.updateLocal(SourceFile:283)
[2015-12-07 20:17:42] 	at obfuscated.C.update(SourceFile:1178)
[2015-12-07 20:17:42] 	at obfuscated.atW.a(SourceFile:1176)
[2015-12-07 20:17:42] 	at obfuscated.atW.a(SourceFile:1167)
[2015-12-07 20:17:42] 	at obfuscated.C.h(SourceFile:2788)
[2015-12-07 20:17:42] 	at obfuscated.NY.run(SourceFile:92)
[2015-12-07 20:17:42] 	at java.lang.Thread.run(Unknown Source)
SmilingDemon edited the task description. (Show Details)Dec 7 2015, 8:32 PM
SmilingDemon raised the priority of this task from "High" to "Urgent".

will see if this is enough info to try a fix ...
something with the setup of the storage that breaks it i guess ...

anything special you did with it ?

SmilingDemon changed the task status from "Open" to "In Queue (Game)".Dec 7 2015, 8:56 PM

putting in queue with logfile

Urza added a comment.EditedDec 7 2015, 9:14 PM

I just set a storage block, activated pull (everything) linked it to all my other storages and added a few thousand cargo space blocks (2k at once till everything fitted in).
Then I logged out before the hotfix.
The admin has send me the log of my crash: https://storage.googleapis.com/starmade/urza%20login.txt

Oh and I talked with 2 other player from the same server:
One has a similiar problem - he gets error messages and game crashes every time he uses the new cargo system - the other one has no problems at all.

The player with the same problem thinks it could be related to the connection/ping. At his own little server he has no problems.

SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".Dec 13 2015, 12:32 PM
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".
lancake raised the priority of this task from "Urgent" to "Pre-Release Quality Assurance".Dec 13 2015, 12:33 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Dec 13 2015, 2:21 PM
schema added a subscriber: schema.

added some security. If still not fixed. I need new logs, as I added some extra debug info

lancake changed the task status from "Resolved" to "In Queue (Game)".Dec 13 2015, 9:12 PM
lancake added a subscriber: lancake.

-QA Testing-

Not fixed in 0.19524 , included logs
log.txt.0

lancake set Last tested (version) to 0.19524 (Dev).Dec 13 2015, 9:13 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Dec 15 2015, 7:10 PM

Both my accounts that had this can be used again. I'll wait a bit to close it till I'm 100% sure it's not happening anymore.

lancake changed Last tested (version) from 0.19524 (Dev) to 0.19525 (Dev).Dec 16 2015, 11:43 AM
lancake added a comment.EditedDec 18 2015, 12:17 PM

Now I'm getting a nullpointer

[2015-12-18 13:15:24] [GLFRAME] THROWN: class java.lang.NullPointerException Now Printing StackTrace
[2015-12-18 13:15:24] java.lang.NullPointerException
[2015-12-18 13:15:24] 	at org.schema.game.common.controller.elements.cargo.CargoCollectionManager.remove(SourceFile:88)
[2015-12-18 13:15:24] 	at org.schema.game.common.controller.elements.ElementCollectionManager.remove(SourceFile:309)
[2015-12-18 13:15:24] 	at org.schema.game.common.controller.elements.UsableControllableElementManager.removeConnectionIfNecessary(SourceFile:438)
[2015-12-18 13:15:24] 	at org.schema.game.common.controller.elements.ManagerModuleCollection.onConnectionRemoved(SourceFile:56)
[2015-12-18 13:15:24] 	at org.schema.game.common.controller.elements.ManagerContainer.onConnectionRemoved(SourceFile:1200)
[2015-12-18 13:15:24] 	at org.schema.game.common.data.element.ControlElementMap.onRemovedConnectionForManagerContainer(SourceFile:305)
[2015-12-18 13:15:24] 	at org.schema.game.common.data.element.ControlElementMap.removeControlled(SourceFile:898)
[2015-12-18 13:15:24] 	at org.schema.game.common.data.element.ControlElementMap.updateLocal(SourceFile:1173)
[2015-12-18 13:15:24] 	at obfuscated.QE.handleActivationsAndControlMap(SourceFile:1409)
[2015-12-18 13:15:24] 	at obfuscated.QE.updateLocal(SourceFile:535)
[2015-12-18 13:15:24] 	at org.schema.game.common.controller.EditableSendableSegmentController.updateLocal(SourceFile:1096)
[2015-12-18 13:15:24] 	at obfuscated.QN.updateLocal(SourceFile:456)
[2015-12-18 13:15:24] 	at obfuscated.C.update(SourceFile:1210)
[2015-12-18 13:15:24] 	at obfuscated.auV.a(SourceFile:1176)
[2015-12-18 13:15:24] 	at obfuscated.auV.a(SourceFile:1167)
[2015-12-18 13:15:24] 	at obfuscated.C.h(SourceFile:2824)
[2015-12-18 13:15:24] 	at obfuscated.OX.run(SourceFile:92)
[2015-12-18 13:15:24] 	at java.lang.Thread.run(Unknown Source)

log.txt.0

How to reproduce:

  1. Place large amounts of cargo spaces down (with auto linking enabled)
  2. Remove them immediately while that's happening
  3. Place down large amounts of non-cargo blocks, like power reactor modules on the exact same spot
  4. Wait a while till the auto linking starts to catch up (had to wait about a minute)
  5. eventually it will throw a nullpointer.

This was tested with a 25^3 build mode + 2 way symmetry, might be a bit harder to get with a 10^3 build mode but should be doable

I'm not sure if it is related to this task though

lancake changed the task status from "Resolved" to "In Queue (Game)".Dec 18 2015, 12:20 PM
lancake changed Last tested (version) from 0.19525 (Dev) to 0.19531 (Dev).
lancake added a comment.EditedDec 30 2015, 11:11 AM

And another nullpointer: log.txt.0
This one happened while removing full cargo blocks with the advanced build mode

[2015-12-30 14:35:51] java.lang.NullPointerException
[2015-12-30 14:35:51] 	at org.schema.game.common.controller.elements.cargo.CargoUnit.resetBlocks(SourceFile:126)
[2015-12-30 14:35:51] 	at org.schema.game.common.controller.elements.cargo.CargoCollectionManager.onRemovedCollection(SourceFile:97)
[2015-12-30 14:35:51] 	at org.schema.game.common.controller.elements.ManagerModuleCollection.removeControllerBlock(SourceFile:135)
[2015-12-30 14:35:51] 	at org.schema.game.common.controller.elements.ManagerContainer.onRemovedElementSynched(SourceFile:1065)
[2015-12-30 14:35:51] 	at obfuscated.QZ.onRemovedElementSynched(SourceFile:453)
[2015-12-30 14:35:51] 	at org.schema.game.common.data.world.SegmentData.onRemovingElement(SourceFile:1032)
[2015-12-30 14:35:51] 	at org.schema.game.common.data.world.SegmentData.setInfoElementUnsynched(SourceFile:1534)
[2015-12-30 14:35:51] 	at org.schema.game.common.data.world.SegmentData.setInfoElement(SourceFile:1437)
[2015-12-30 14:35:51] 	at org.schema.game.common.data.world.SegmentData.setInfoElement(SourceFile:1445)
[2015-12-30 14:35:51] 	at org.schema.game.common.data.world.Segment.b(SourceFile:750)
[2015-12-30 14:35:51] 	at org.schema.game.common.data.world.Segment.a(SourceFile:740)
[2015-12-30 14:35:51] 	at org.schema.game.common.controller.EditableSendableSegmentController.removeBlock(SourceFile:2649)
[2015-12-30 14:35:51] 	at org.schema.game.common.controller.EditableSendableSegmentController.remove(SourceFile:2420)
[2015-12-30 14:35:51] 	at org.schema.game.common.controller.EditableSendableSegmentController.getNearestIntersectingElementPosition(SourceFile:176)
[2015-12-30 14:35:51] 	at obfuscated.dp.a(SourceFile:1591)
[2015-12-30 14:35:51] 	at obfuscated.dy.a(SourceFile:382)
[2015-12-30 14:35:51] 	at obfuscated.cv.a(SourceFile:320)
[2015-12-30 14:35:51] 	at obfuscated.cv.a(SourceFile:320)
[2015-12-30 14:35:51] 	at obfuscated.dp.a(SourceFile:1148)
[2015-12-30 14:35:51] 	at obfuscated.cv.a(SourceFile:320)
[2015-12-30 14:35:51] 	at obfuscated.cv.a(SourceFile:320)
[2015-12-30 14:35:51] 	at obfuscated.dd.a(SourceFile:316)
[2015-12-30 14:35:51] 	at obfuscated.cv.a(SourceFile:320)
[2015-12-30 14:35:51] 	at obfuscated.cB.a(SourceFile:228)
[2015-12-30 14:35:51] 	at obfuscated.C.updateStateInput(SourceFile:1365)
[2015-12-30 14:35:51] 	at obfuscated.auW.a(SourceFile:1167)
[2015-12-30 14:35:51] 	at obfuscated.C.h(SourceFile:2824)
[2015-12-30 14:35:51] 	at obfuscated.OX.run(SourceFile:92)
[2015-12-30 14:35:51] 	at java.lang.Thread.run(Unknown Source)
schema changed the task status from "In Queue (Game)" to "Resolved".Jan 13 2016, 4:36 PM

log.txt.0

Different stacktrace but same way to reproduce. I rapidly removed (large sections of) linked cargo blocks of a chest that had them in use.

[2016-01-14 23:17:31] java.lang.NullPointerException
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.cargo.CargoCollectionManager.remove(CargoCollectionManager.java:88)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.ElementCollectionManager.remove(ElementCollectionManager.java:309)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.UsableControllableElementManager.removeConnectionIfNecessary(UsableControllableElementManager.java:438)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.ManagerModuleCollection.onConnectionRemoved(ManagerModuleCollection.java:56)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.elements.ManagerContainer.onConnectionRemoved(ManagerContainer.java:1201)
[2016-01-14 23:17:31] 	at org.schema.game.common.data.element.ControlElementMap.onRemovedConnectionForManagerContainer(ControlElementMap.java:305)
[2016-01-14 23:17:31] 	at org.schema.game.common.data.element.ControlElementMap.removeControlled(ControlElementMap.java:898)
[2016-01-14 23:17:31] 	at org.schema.game.common.data.element.ControlElementMap.updateLocal(ControlElementMap.java:1173)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.SendableSegmentController.handleActivationsAndControlMap(SendableSegmentController.java:1428)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.SendableSegmentController.updateLocal(SendableSegmentController.java:538)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.EditableSendableSegmentController.updateLocal(EditableSendableSegmentController.java:1107)
[2016-01-14 23:17:31] 	at org.schema.game.common.controller.SpaceStation.updateLocal(SpaceStation.java:279)
[2016-01-14 23:17:31] 	at org.schema.game.client.controller.GameClientController.update(GameClientController.java:1218)
[2016-01-14 23:17:31] 	at org.schema.schine.graphicsengine.core.GLFrame.update(GLFrame.java:1176)
[2016-01-14 23:17:31] 	at org.schema.schine.graphicsengine.core.GLFrame.start(GLFrame.java:1044)
[2016-01-14 23:17:31] 	at org.schema.schine.graphicsengine.core.GLFrame.startGraphics(GLFrame.java:1167)
[2016-01-14 23:17:31] 	at org.schema.game.client.controller.GameClientController.startGraphics(GameClientController.java:2856)
[2016-01-14 23:17:31] 	at org.schema.game.common.ClientRunnable.run(ClientRunnable.java:92)
[2016-01-14 23:17:31] 	at java.lang.Thread.run(Unknown Source)
lancake edited Tester information (Internal use only). (Show Details)Jan 14 2016, 10:20 PM
lancake edited Steps to reproduce. (Show Details)
lancake changed the task status from "Resolved" to "In Queue (Game)".
lancake changed Last tested (version) from 0.19531 (Dev) to 0.19544 (Dev).

-QA Testing-

lancake changed the title from "Game crash after spawn since #HOTFIX 0-19522" to "Nullpointer when removing filled cargo blocks".Jan 14 2016, 10:22 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 19 2016, 9:47 PM

pls post log should it still not be fixed

lancake closed this task as "Closed".

-QA Testing-

Tried really hard but can't get a crash anymore, fix confirmed.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 20 2016, 2:04 AM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
lancake changed Last tested (version) from 0.19544 (Dev) to 0.19616 (Dev).Mar 20 2016, 2:05 AM

Add Comment